This is an archived snapshot of W3C's public bugzilla bug tracker, decommissioned in April 2019. Please see the home page for more details.

Bug 8659 - Media events to indicate captions and audio descriptions
Summary: Media events to indicate captions and audio descriptions
Status: RESOLVED WORKSFORME
Alias: None
Product: WHATWG
Classification: Unclassified
Component: HTML (show other bugs)
Version: unspecified
Hardware: PC Windows NT
: P2 normal
Target Milestone: Unsorted
Assignee: Ian 'Hixie' Hickson
QA Contact: HTML WG Bugzilla archive list
URL: https://www.w3.org/Bugs/Public/show_b...
Whiteboard:
Keywords: a11y, a11ytf, media
Depends on:
Blocks:
 
Reported: 2010-01-06 11:02 UTC by Gez Lemon
Modified: 2013-03-19 22:53 UTC (History)
9 users (show)

See Also:


Attachments

Description Gez Lemon 2010-01-06 11:02:57 UTC
Propose adding additional media events to indicate whether captions and audio descriptions are present, turned on, etc.
Comment 1 Philip J├Ągenstedt 2010-01-06 13:31:27 UTC
Just events in themselves aren't very useful. What we need is a full API for track selection, please bring such suggestions to the mailing list for discussion, as no one is completely pleased with any suggestion solution so far.
Comment 2 Michael Cooper 2010-02-04 16:36:56 UTC
HTML Accessibility Task force making this a formal tracked bug for the TF.
Comment 3 Michael Cooper 2010-02-04 16:42:44 UTC
Removing myself from cc list, default on bug edits is to add, but I'm only acting on behalf of HTML A11Y TF which is already cc'd.
Comment 4 Ian 'Hixie' Hickson 2010-02-14 10:18:40 UTC
EDITOR'S RESPONSE: This is an Editor's Response to your comment. If you are satisfied with this response, please change the state of this bug to CLOSED. If you have additional information and would like the editor to reconsider, please reopen this bug. If you would like to escalate the issue to the full HTML Working Group, please add the TrackerRequest keyword to this bug, and suggest title and text for the tracker issue; or you may create a tracker issue yourself, if you are able to do so. For more details, see this document:
   http://dev.w3.org/html5/decision-policy/decision-policy.html

Status: Partially Accepted
Change Description: see diff given below
Rationale: I agree that we need an API for getting the timed-track data. I'm waiting for the browsers to catch up with what we have so far before expanding the media API further.
Comment 5 Ian 'Hixie' Hickson 2010-02-14 10:19:13 UTC
(In reply to comment #4)
> Change Description: see diff given below

Correction; no change has yet been applied to the spec.
Comment 6 Michael Cooper 2011-03-10 16:44:41 UTC
Relates to ISSUE-152 http://www.w3.org/html/wg/tracker/issues/152
Comment 7 Michael[tm] Smith 2013-01-24 07:34:45 UTC
This bug was cloned to create HTML WG bug 19027.
Comment 8 Ian 'Hixie' Hickson 2013-03-19 22:53:40 UTC
This is now supported.